#
# spec file for package glib (Version 1.2.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           glib
BuildRequires:  gnome-filesystem
%define prefix /opt/gnome
License:        LGPL
Group:          System/Libraries
Autoreqprov:    on
Requires:       gnome-filesystem
Version:        1.2.10
Release:        609.2
Summary:        The Utility Functions for Gtk
Source:         glib-%{version}.tar.bz2
Patch:          glib-%{version}.dif
Patch1:         glib-%{version}-gcc34.patch
Patch2:         glib-sentinel.patch
Patch3:         glib-self-contained.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library of utility functions for Gtk.



Authors:
--------
    Tim Janik  <timj@gtk.org>
    Owen Taylor  <otaylor@redhat.com>
    Josh MacDonald  <jmacd@axis.hip.berkeley.edu>
    Manish Singh <yosh@gimp.org>
    Tom Tromey  <tromey@cygnus.com>
    George Lebl  <jirka@5z.com>
    Shawn T. Amundson <amundson@gtk.org>
    Lauri Alanko <nether@gimp.org>
    Jay Painter <jpaint@serv.net>

%debug_package
%package devel
Obsoletes:      glibdev
Provides:       glibdev
Summary:        Static Libraries and Header Files for GLib
Group:          System/Libraries
Autoreqprov:    on
PreReq:         %install_info_prereq
Requires:       %name = %version glibc-devel

%description devel
Only needed by developers that want to use functions contained in GLib.



Authors:
--------
    Tim Janik  <timj@gtk.org>
    Owen Taylor  <otaylor@redhat.com>
    Josh MacDonald  <jmacd@axis.hip.berkeley.edu>
    Manish Singh <yosh@gimp.org>
    Tom Tromey  <tromey@cygnus.com>
    George Lebl  <jirka@5z.com>
    Shawn T. Amundson <amundson@gtk.org>
    Lauri Alanko <nether@gimp.org>
    Jay Painter <jpaint@serv.net>

%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p1
%patch3

%build
%{?suse_update_config:%{suse_update_config -f}}
rm acinclude.m4
libtoolize --copy --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --libdir=%{prefix}/%_lib\
 --mandir=%{prefix}/share/man --infodir=%{prefix}/share/info
make | tee make.log
# Fix linking, so resulting library can be prelinked (#50796).
cd gthread
$(fgrep -- "-o libgthread.la" ../make.log) ../libglib.la
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# for whatever reason libgmodule is 644
chmod a+x $RPM_BUILD_ROOT%{prefix}/%_lib/*.so.*
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/info/*.info*
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.*
rm -f $RPM_BUILD_ROOT%{prefix}/share/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post devel
%install_info --info-dir=%{prefix}/share/info %{prefix}/share/info/glib.info.gz
%run_ldconfig

%postun
%run_ldconfig

%postun devel
%install_info_delete --info-dir=%{prefix}/share/info %{prefix}/share/info/glib.info.gz

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%_lib/*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/bin/glib-config
%doc %{prefix}/share/info/glib.info*
%doc %{prefix}/share/man/man1/glib-config.1*
%{prefix}/include/*
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
%{prefix}/%_lib/glib
%{prefix}/%_lib/pkgconfig/*
%{prefix}/share/aclocal/*.m4

%changelog -n glib
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - sbrabec@suse.cz
- Removed /opt/gnome/include/glibconfig.h (#141747).
* Wed Feb 16 2005 - sbrabec@suse.cz
- Link gthread with glib to make it prelinkable (#50796).
* Mon Feb 14 2005 - coolo@suse.de
- fixing permissions of .so files so rpm strips them
* Thu Jan 20 2005 - meissner@suse.de
- Added sentinel markups for 2 varargs functions.
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Fri Jan 16 2004 - meissner@suse.de
- Fixed gcc3.4 problems (__PRETTY_FUNCTION__ is no longer
  a define, but a const string variable).
* Fri Jan 09 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
- Fix use of AC_CACHE_VAL.
* Mon Jan 05 2004 - mmj@suse.de
- %%run_ldconfig
- glib-devel requires the corresponding glib version
- Don't build as root
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Feb 10 2003 - ke@suse.de
- Use install_info macro [# 23414].
* Wed Jan 08 2003 - ro@suse.de
- fix configure.in
* Mon Nov 18 2002 - ro@suse.de
- fix build with latest autoconf using trick from glib2
* Fri May 31 2002 - meissner@suse.de
- regenerate libtool ac* for ppc64.
* Wed Feb 06 2002 - coolo@suse.de
- use %%_libdir
* Wed Apr 11 2001 - froh@suse.de
- added suse_update_config for the sake of s390 and the benefit of the
  others
* Mon Apr 02 2001 - egger@suse.de
- Updated to version 1.2.10. Bugfix release.
* Sun Mar 04 2001 - egger@suse.de
- Updated to the real version 1.2.9.
- Cleaned up specfile.
* Fri Mar 02 2001 - ro@suse.de
- modified file-list for devel-package
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 1.2.9pre1.
* Thu Nov 30 2000 - egger@suse.de
- Readded missing glibconfig.h link.
* Sun Nov 26 2000 - egger@suse.de
- Reworked specfiles to use macros and wildcards.
- Add RPM Group Tag.
- Fixed compilation flags.
- Use BuildRoot.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu May 25 2000 - egger@suse.de
- Updated to 1.2.8.
- Replaced every occurence of 1.2.7 by %%{version}.
* Mon May 22 2000 - egger@suse.de
- Fixes for the pickier buildsystem.
* Fri May 19 2000 - egger@suse.de
- Remove deprecated documentation.
* Thu Apr 06 2000 - ro@suse.de
- fixed libtool problem
* Wed Apr 05 2000 - egger@suse.de
- Added --enable-shared to configure.
  (Strange, since S390 changes were made glib won't
  compile anymore because of auto* problems. Maybe
  it's just buildsystem again.)
* Tue Apr 04 2000 - egger@suse.de
- Added autoconf and libtool to the requirements.
* Mon Apr 03 2000 - egger@suse.de
- Added automake to the requirements since glib
  seems to require it now?!?
* Sat Apr 01 2000 - bk@suse.de
- added required %%suse_update_config for s390
* Fri Feb 25 2000 - ro@suse.de
- use the macros for configure
* Thu Feb 24 2000 - egger@suse.de
- it's getting silly, now I added a wildcard
  to info and man files which sometimes are
  automatically compressed and sometimes not!
  note: this only depends on building
  in a current (ie STABLE) environment
* Wed Feb 23 2000 - egger@suse.de
- use %%doc tag for a hopeful better building
  on ALL systems
* Sun Feb 20 2000 - egger@suse.de
- changed variable to hardcoded value to ensure building
* Thu Feb 17 2000 - fehr@suse.de
- changed to version 1.2.7
* Mon Oct 11 1999 - fehr@suse.de
- changed to version 1.2.6
* Wed Sep 29 1999 - fehr@suse.de
- changed to version 1.2.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - fehr@suse.de
- changed to version 1.2.4
* Tue Jul 13 1999 - ro@suse.de
- package renamed to glib/glibdev
* Tue May 18 1999 - fehr@suse.de
- changed to version 1.2.3
* Fri Mar 26 1999 - fehr@suse.de
- changed to version 1.2.1
* Thu Mar 18 1999 - fehr@suse.de
- add html documentation to package
* Mon Mar 01 1999 - fehr@suse.de
- changed to version 1.2.0
* Wed Feb 17 1999 - fehr@suse.de
- changed to version 1.1.16
* Fri Feb 05 1999 - fehr@suse.de
- changed to version 1.1.15
* Fri Jan 29 1999 - fehr@suse.de
- changed to version 1.1.14
* Tue Jan 19 1999 - fehr@suse.de
- changed to version 1.1.13
* Sat Jan 09 1999 - fehr@suse.de
- changed to version 1.1.12
* Mon Jan 04 1999 - fehr@suse.de
- changed to version 1.1.11
* Tue Dec 22 1998 - fehr@suse.de
- changed to version 1.1.9
* Tue Nov 17 1998 - ro@suse.de
- set executable for libs (so ldd/ldconfig shut up)
* Mon Oct 26 1998 - fehr@suse.de
- changed to version 1.1.4
* Fri Oct 23 1998 - fehr@suse.de
- move .so files to dev package
- rename rpm file to glibn/glibndev
* Mon Oct 19 1998 - fehr@suse.de
- add version 1.1.3 of glib as a separate package
